﻿using CelloSaaS.ServiceProxies.TenantManagement;
using CelloSaaS.View;
using CelloSaaSApplication.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace CelloSaaSApplication.Controllers
{
    public class AccessorController : CelloController
    {
        //
        // GET: /Accessor/
        public ActionResult Index()
        {
            return View();
        }

        public PartialViewResult GenerateKeys(string tenantCode)
        {
            string userName = null;
            string passkey = null;

            if (String.IsNullOrEmpty(tenantCode))
            {
                ModelState.AddModelError("Error", "Invalid TenantCode");
                return PartialView("APIKeys");
            }
            string tenantId = TenantProxy.GetTenantIdFromTenantCode(tenantCode);
            if (String.IsNullOrEmpty(tenantId))
            {
                ModelState.AddModelError("Error", "Invalid Tenant");
                return PartialView("APIKeys");
            }
            GetApiAuthenticationInfo(out userName,out passkey, tenantId,tenantCode);
            ViewBag.UserName = userName;
            ViewBag.PassKey =passkey;
            return PartialView("APIKeys");
        }

           private void GetApiAuthenticationInfo(out string userName, out string passkey,string tenantId,string tenantCode)
        {
            userName = null;
            passkey = null;

           userName = tenantId + "/"+tenantCode+"-"+System.Configuration.ConfigurationManager.AppSettings[Constants.RobotUserName]??"RobotUser";

            if (bool.Parse(System.Configuration.ConfigurationManager.AppSettings["UseCommonAPIKey"]))
            {
                if (!string.IsNullOrEmpty(System.Configuration.ConfigurationManager.AppSettings["CommonAPIKey"]))
                {

                    passkey = System.Configuration.ConfigurationManager.AppSettings["CommonAPIKey"];

                }
            }        
                if (!(System.Web.HttpContext.Current.Items.Count < 1 || !System.Web.HttpContext.Current.Items.Contains("WCFSharedKey") || (System.Web.HttpContext.Current.Items.Contains("WCFSharedKey"))
         && string.IsNullOrEmpty(System.Web.HttpContext.Current.Items["WCFSharedKey"] as string)))
                {
                    passkey = System.Web.HttpContext.Current.Items["WCFSharedKey"] as string;
                }
            
               
        }
	}
}